#ifndef MENUS_AND_ENTRIES_H
#define MENUS_AND_ENTRIES_H


//********************************************************************************************
///<summary>
/// The following are enum types to name the interface input modes
/// and to name the entries of each menu
///</summary>
//********************************************************************************************

		//********************************************************
		//enumeration type to name different interface input modes
		//********************************************************
		typedef enum 
			{	TO_SCALE_THIS_SELECTED_OBJECT = 0,
				TO_ROTATE_THIS_SELECTED_OBJECT,
				TO_MOVE_THIS_SELECTED_OBJECT,
				TO_CHANGE_THE_COLOR_OF_THIS_SELECTED_OBJECT,
				TO_MOVE_THIS_SELECTED_CAMERA, 
				TO_FLIP_CAMERA_TO_OTHER_SIDE_OF_AXIS,
				TO_MOVE_LOOKED_AT_POINT_OF_THIS_SELECTED_CAMERA, 
				TO_ZOOM_IN_ZOOM_OUT, 
				TO_DO_FLIGHT_SIMULATION_USING_THIS_SELECTED_CAMERA, 
			}
		INTERFACE_INPUT_MODE;

	

		//********************************************************
		//enumeration type to name the entries of the main menu
		//********************************************************
		typedef enum 
			{	CURRENT_INTERFACE_INPUT_MODE = 1,
				CURRENT_OBJECT = 2,
				CURRENT_CAMERA = 3,

				WORKING_ON_OBJECTS,	
				WORKING_ON_CAMERAS, 

				START_FLIGHT_SIMULATION_USING_THIS_CAMERA,
				STOP_FLIGHT_SIMULATION_AND_RETURN_TO_PREVIOUS_LOCATION,
				STOP_FLIGHT_SIMULATION_AND_STAY_HERE,

				SHOW_XYZ_AXES,	
				HIDE_XYZ_AXES, 

				SCENE_INFORMATON	
			}
		MAIN_MENU_ENTRY;

		//********************************************************
		//enumeration type to name the entries of the information submenu
		//********************************************************
		typedef enum  
			{	SAVE_CURRENT_SNAPSHOT_AS_OPENGL_COMMANDS =1,
				SAVE_SCENE_CAMERAS_OBJECTS_INFO,
				LOAD_SCENE_CAMERAS_OBJECTS_INFO,
				CREATE_NEW_VIEW_OF_SCENE,
				DELETE_EXISTING_VIEW_OF_SCENE
			}
		INFORMATION_SUBMENU_ENTRY ;


		//********************************************************
		//enumeration type to name the entries of the object submenu
		//********************************************************
		typedef enum
			{	CURRENT_SELECTED_OBJECT = 1,		CREATE_AND_SELECT_A_NEW_OBJECT,
				DELETE_AN_OBJECT,					DUPLICATE_THIS_SELECTED_OBJECT,
				SELECT_ANOTHER_OBJECT,				SCALE_THIS_SELECTED_OBJECT,
				ROTATE_THIS_SELECTED_OBJECT,		MOVE_THIS_SELECTED_OBJECT,
				CHANGE_THE_COLOR_OF_THIS_SELECTED_OBJECT
			}
		 OBJECTS_SUBMENU_ENTRY ;


		//********************************************************
		//enumeration type to name the entries of the camera submenu
		//********************************************************
		typedef enum  
			{	CURRENT_SELECTED_CAMERA = 1,	
				SELECT_NEXT_CAMERA,		
				FLIP_CAMERA_TO_OTHER_SIDE_OF_AXIS,
				MOVE_THIS_SELECTED_CAMERA,
				MOVE_LOOKED_AT_POINT_OF_THIS_SELECTED_CAMERA,
				KEEP_LOOKING_AT_THIS_LOOKED_AT_POINT,
				KEEP_LOOKING_ALONG_THIS_DIRECTION,
				START_AUTOMATIC_REVOLVING_AROUND_LOOKED_AT_POINT,
				STOP_AUTOMATIC_REVOLVING_AROUND_LOOKED_AT_POINT_AND_RETURN_TO_PREVIOUS_LOCATION,
				STOP_AUTOMATIC_REVOLVING_AROUND_LOOKED_AT_POINT_AND_STAY_HERE,
				ZOOM_IN_ZOOM_OUT
			}
		CAMERAS_SUBMENU_ENTRY;


		//********************************************************
		//enumeration type to name the entries of the camera list subsubmenu
		//********************************************************
		typedef enum  
			{	CAMERA_A=0, //using glOtho",
				CAMERA_B=1, //using glOtho",
				CAMERA_C=2, //using glPerspective",
				CAMERA_D=3, //using glPerspective"
			}
		CAMERA_LIST_SUBSUBMENU_ENTRY;


#endif
